View Issue Details

IDProjectCategoryView StatusLast Update
0002040SymmetricDSImprovementpublic2015-01-06 17:27
ReporterxBlackCatAssigned Toelong 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.6.11 
Target Version3.7.0Fixed in Version3.7.0 
Summary0002040: Can't set windows service dependencies in sym_service.conf
DescriptionIn previous versions (3.5.x) with java service wrapper it is was very useful to set dependency for SymmetricDS service on DB windows service for automatically starting DB service before SymmetriDS service is started.


Could you please implement the feature in your service wrapper as well?
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 6160084d

2014-11-03 22:08:59

erilong

Details Diff
0002040: Can't set windows service dependencies in sym_service.conf
0002040
mod - symmetric-server/src/main/deploy/conf/sym_service.conf Diff File
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/WindowsService.java Diff File
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/WrapperConfig.java Diff File

Issue History

Date Modified Username Field Change
2014-10-31 07:31 xBlackCat New Issue
2014-11-03 22:07 elong Assigned To => elong
2014-11-03 22:07 elong Status new => assigned
2014-11-03 22:08 elong Target Version => 3.7.0
2014-11-03 22:19 elong Status assigned => resolved
2014-11-03 22:19 elong Fixed in Version => 3.7.0
2014-11-03 22:19 elong Resolution open => fixed
2014-11-03 23:00 Changeset attached => SymmetricDS trunk r8889
2015-01-06 17:27 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master 6160084d